Package com.orchestranetworks.ui.form

# Class UIFormPaneFromPathList

java.lang.Object
com.orchestranetworks.ui.form.UIFormPaneFromPathList

All Implemented Interfaces:
  `UIFormPane`

public class UIFormPaneFromPathList extends Object implements UIFormPane
This pane provides a table with a list of simple fields/complex groups.

The pane can be included to another form thanks to `UIFormPaneWriter.includePane(UIFormPane)` or used as a tab thanks to `UIFormPaneWithTabs.addTab(String, UIFormPane)`.

This component has the same behavior than `UIFormWriter.addFormRowOrGroup(Path)`, it means that `path` which would be displayed in tab will be ignored.

Since:
  5.8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIFormPaneFromPathList(List<Path> pathList)`
  Instantiates a new form pane from a path list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `writePane(UIFormPaneWriter aWriter, UIFormContext aContext)`
  Specifies the HTML pane content.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.orchestranetworks.ui.form.UIFormPane

  `isPaddingEnabled`

- ## Constructor Details

  - ### UIFormPaneFromPathList

    public UIFormPaneFromPathList(List<Path> pathList)
    Instantiates a new form pane from a path list.
    Parameters:
      `pathList` - the path list

- ## Method Details

  - ### writePane

    public void writePane(UIFormPaneWriter aWriter, UIFormContext aContext)
    Description copied from interface: `UIFormPane`
    Specifies the HTML pane content.

    For details on when the EBX® user interface invokes this method, see Life cycle.

    Specified by:
      `writePane` in interface `UIFormPane`
    Parameters:
      `aWriter` - the `UIFormPaneWriter` to use to add some built-in form rows, widgets, or simple HTML and JavaScript.
      `aContext` - a `UIFormContext` to request data and environment.